Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.collect
Interface Multiset.Entry<E>

Enclosing interface:
  Multiset<E>

    public static interface Multiset.Entry<E>

An unmodifiable element-count pair for a multiset. The `Multiset.entrySet()` method returns a view of the multiset whose elements are of this class. A multiset implementation may return Entry instances that are either live "read-through" views to the Multiset, or immutable snapshots. Note that this type is unrelated to the similarly-named type `Map.Entry`.

Method Summary
`boolean` | `equals(Object o)` Indicates whether some other object is "equal to" this one.
`int` | `getCount()` Returns the count of the associated element in the underlying multiset.
`E` | `getElement()` Returns the multiset element corresponding to this entry.
`int` | `hashCode()` Returns a hash code value for the object.
`String` | `toString()` Returns the canonical string representation of this entry, defined as follows.

Method Detail

### getElement

    E getElement()

  Returns the multiset element corresponding to this entry. Multiple calls to this method always return the same instance.

  Returns:
    the element corresponding to this entry

### getCount

    int getCount()

  Returns the count of the associated element in the underlying multiset. This count may either be an unchanging snapshot of the count at the time the entry was retrieved, or a live view of the current count of the element in the multiset, depending on the implementation. Note that in the former case, this method can never return zero, while in the latter, it will return zero if all occurrences of the element were since removed from the multiset.

  Returns:
    the count of the element; never negative

### equals

    boolean equals(Object o)

  Indicates whether some other object is "equal to" this one.

  The `equals` method implements an equivalence relation on non-null object references:

  - It is reflexive: for any non-null reference value `x`, `x.equals(x)` should return `true`.
  - It is symmetric: for any non-null reference values `x` and `y`, `x.equals(y)` should return `true` if and only if `y.equals(x)` returns `true`.
  - It is transitive: for any non-null reference values `x`, `y`, and `z`, if `x.equals(y)` returns `true` and `y.equals(z)` returns `true`, then `x.equals(z)` should return `true`.
  - It is consistent: for any non-null reference values `x` and `y`, multiple invocations of `x.equals(y)` consistently return `true` or consistently return `false`, provided no information used in `equals` comparisons on the objects is modified.
  - For any non-null reference value `x`, `x.equals(null)` should return `false`.

  The `equals` method for class `Object` implements the most discriminating possible equivalence relation on objects; that is, for any non-null reference values `x` and `y`, this method returns `true` if and only if `x` and `y` refer to the same object (`x == y` has the value `true`).

  Note that it is generally necessary to override the `hashCode` method whenever this method is overridden, so as to maintain the general contract for the `hashCode` method, which states that equal objects must have equal hash codes.

  Returns `true` if the given object is also a multiset entry and the two entries represent the same element and count. More formally, two entries `a` and `b` are equal if:

        ((a.getElement() == null)
            ? (b.getElement() == null) : a.getElement().equals(b.getElement()))
          && (a.getCount() == b.getCount())

  Overrides:
    `equals` in class `Object`
  Parameters:
    `o` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.
  See Also:
    `Object.hashCode()`, `Hashtable`

### hashCode

    int hashCode()

  Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by `java.util.Hashtable`.

  The general contract of `hashCode` is:

  - Whenever it is invoked on the same object more than once during an execution of a Java application, the `hashCode` method must consistently return the same integer, provided no information used in `equals` comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application.
  - If two objects are equal according to the `equals(Object)` method, then calling the `hashCode` method on each of the two objects must produce the same integer result.
  - It is not required that if two objects are unequal according to the `Object.equals(java.lang.Object)` method, then calling the `hashCode` method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hashtables.

  As much as is reasonably practical, the hashCode method defined by class `Object` does return distinct integers for distinct objects. (This is typically implemented by converting the internal address of the object into an integer, but this implementation technique is not required by the JavaTM programming language.)

  The hash code of a multiset entry for element `element` and count `count` is defined as:

        (element == null ? 0 : element.hashCode()) ^ count

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### toString

    String toString()

  Returns the canonical string representation of this entry, defined as follows. If the count for this entry is one, this is simply the string representation of the corresponding element. Otherwise, it is the string representation of the element, followed by the three characters `" x "` (space, letter x, space), followed by the count.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD